Application: gvSIG desktop - gvSIG bugs #4981
"Calling deprecated method of geometry intersects from shape interface" message when editing
Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:

Category: Vector editing

Target version: 2.5.0-2913 (rev. org.gvsig.deskiop-2.0.241)

Severity: Major Add-on version:

gvSIG version: 250 Add-on build:

gvSIG build: 2910 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

When editing | get this message continuously at the console and it creates several gvSIG.log working only a few minutes:
INFO 6153890 [AWT-EventQueue-0] (AbstractGeometry.java:747) - Calling deprecated method of geometry intersects from shape
interface

| attach log file

Cuando estoy en modo edicion sale continuamente en la consola el siguiente mensaje, creando varios gvSIG.log trabajando apenas
unos pocos minutos:

INFO 6153890 [AWT-EventQueue-0] (AbstractGeometry.java:747) - Calling deprecated method of geometry intersects from shape
interface

Adjunto los log.

Associated revisions

Revision 44135 - 02/19/2019 01:31 PM - Oscar Martinez

refs #4981 Usa envelope para intersect

History

#1 - 02/13/2019 11:14 PM - Joaquin del Cerro Murciano

He localizado uno de los usos deprecated en el plugin de snapping, en la clase IntersectionPointSnapper.
Es muy probable que el problema este en el snapping, y no en edicion vectorial.

#2 - 02/16/2019 11:22 AM - Joaquin del Cerro Murciano
- Target version changed from 2.5.0-2930-final to 2.5.0-2913 (rev. org.gvsig.desktop-2.0.241)

#3 - 02/18/2019 04:35 PM - Oscar Martinez

Se soluciona corrigiendo en el IntersectionPointSnapper el intersects.
AUn no cierro el ticket hasta que se comite

#4 - 02/19/2019 01:37 PM - Joaquin del Cerro Murciano

- Status changed from New to Fixed

#5 - 03/05/2019 10:17 AM - Alvaro Anguix
- Status changed from Fixed to Closed
gvsig_log_.zip 52.5 KB
